summaryrefslogtreecommitdiffstats
path: root/src/cmd/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/cmd/build.sh')
-rw-r--r--src/cmd/build.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/cmd/build.sh b/src/cmd/build.sh
index d12edfb..19350c3 100644
--- a/src/cmd/build.sh
+++ b/src/cmd/build.sh
@@ -43,7 +43,9 @@ cmd_build_main()
dev=''
if is_block "${root}"; then
dev="${root}"
- root="$(block_mount "${dev}")"
+ if ! root="$(block_mount "${dev}")"; then
+ return 2
+ fi
fi
cmd_build_root="${root}"